#!/bin/bash

set -eu

echo "Creating directories"
mkdir -p /app/data/public/uploads /run/nodebb/logs

if [[ -z "$(ls -A /app/data/public/uploads)" ]]; then
    echo "First run"

    cp -rf /app/code/public/uploads_template /app/data/public/uploads
fi

chown -R cloudron:cloudron /app/data /run/nodebb

# this will generate the config.json
setup="{
    \"url\": \"https://${HOSTNAME}\",
    \"admin:username\": \"admin\",
    \"admin:password\": \"password\",
    \"admin:password:confirm\": \"password\",
    \"admin:email\": \"admin@cloudron.io\",
    \"database\": \"mongo\",
    \"mongo\": true,
    \"mongo:host\": \"${MONGODB_HOST}\",
    \"mongo:port\": \"${MONGODB_PORT}\",
    \"mongo:username\": \"${MONGODB_USERNAME}\",
    \"mongo:password\": \"${MONGODB_PASSWORD}\",
    \"mongo:database\": \"${MONGODB_DATABASE}\",
    \"upload_path\": \"/app/data/public/uploads\"
}"

export NODE_ENV=production
echo "Creating config.json"
node /app/code/app --setup "${setup}"

echo "Starting nodebb"
/usr/local/bin/gosu cloudron:cloudron node /app/code/loader.js --no-daemon --no-silent
